org.keycloak.authentication.authenticators.broker

## Class IdpUsernamePasswordForm

- java.lang.Object
- - org.keycloak.authentication.AbstractFormAuthenticator
  - - org.keycloak.authentication.authenticators.browser.AbstractUsernameFormAuthenticator
    - - org.keycloak.authentication.authenticators.browser.UsernamePasswordForm
      - - org.keycloak.authentication.authenticators.broker.IdpUsernamePasswordForm

- All Implemented Interfaces:
    Authenticator, Provider

      public class IdpUsernamePasswordForm
      extends UsernamePasswordForm

  Same like classic username+password form, but for use in IdP linking. User identity is optionally established by the preceding idp-create-user-if-unique execution. In this case username field will be pre-filled (but still changeable).
  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.authentication.authenticators.browser.UsernamePasswordForm

      `log`

    - ### Fields inherited from class org.keycloak.authentication.authenticators.browser.AbstractUsernameFormAuthenticator

      `ATTEMPTED_USERNAME, REGISTRATION_FORM_ACTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdpUsernamePasswordForm()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.ws.rs.core.Response` | `challenge(AuthenticationFlowContext context, javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `protected LoginFormsProvider` | `setupForm(AuthenticationFlowContext context, javax.ws.rs.core.MultivaluedMap<String,String> formData, Optional<UserModel> existingUser)`
    `protected boolean` | `validateForm(AuthenticationFlowContext context, javax.ws.rs.core.MultivaluedMap<String,String> formData)`

    - ### Methods inherited from class org.keycloak.authentication.authenticators.browser.UsernamePasswordForm

      `action, authenticate, close, configuredFor, requiresUser, setRequiredActions`

    - ### Methods inherited from class org.keycloak.authentication.authenticators.browser.AbstractUsernameFormAuthenticator

      `challenge, challenge, createLoginForm, disabledByBruteForceError, disabledByBruteForceFieldError, dummyHash, enabledUser, getDefaultChallengeMessage, isDisabledByBruteForce, runDefaultDummyHash, setDuplicateUserChallenge, testInvalidUser, validatePassword, validatePassword, validateUser, validateUserAndPassword`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.Authenticator

      `areRequiredActionsEnabled, getRequiredActions`

- - ### Constructor Detail

    - #### IdpUsernamePasswordForm

          public IdpUsernamePasswordForm()

  - ### Method Detail

    - #### challenge

          protected javax.ws.rs.core.Response challenge(AuthenticationFlowContext context,
                                                        javax.ws.rs.core.MultivaluedMap<String,String> formData)

      Overrides:
        `challenge` in class `UsernamePasswordForm`

    - #### validateForm

          protected boolean validateForm(AuthenticationFlowContext context,
                                         javax.ws.rs.core.MultivaluedMap<String,String> formData)

      Overrides:
        `validateForm` in class `UsernamePasswordForm`

    - #### setupForm

          protected LoginFormsProvider setupForm(AuthenticationFlowContext context,
                                                 javax.ws.rs.core.MultivaluedMap<String,String> formData,
                                                 Optional<UserModel> existingUser)

Copyright © 2021 JBoss by Red Hat. All rights reserved.